using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace Test_Merge
{
    internal class DriverSectorWindow:Window
    {
        public DriverSectorWindow(Bitmap image, Rectangle bounds) : base(image, bounds)
        {
            Name = "Sector 1";
        }
        /// <summary>
        /// Decodes the sector
        /// </summary>
        /// <returns>the sector time in int (ms)</returns>
        public override async Task<object> DecodePng()
        {
            int ocrResult = await GetTimeFromPng(WindowImage, OcrImage.WindowType.Sector, Engine);
            return ocrResult;
        }
    }
}
